<div dir="ltr">2013/10/30 Nio Wiklund <span dir="ltr"><<a href="mailto:nio.wiklund@gmail.com" target="_blank">nio.wiklund@gmail.com</a>></span><br><div class="gmail_extra"><div class="gmail_quote"><blockquote class="gmail_quote" style="margin:0px 0px 0px 0.8ex;border-left-width:1px;border-left-color:rgb(204,204,204);border-left-style:solid;padding-left:1ex">
Hi Ali,<br>
Reply inline<br>
Best regards/Nio<br>
<div class="im"><br>
On 2013-10-30 13:21, Ali Linx (amjjawad) wrote:<br>
><br>
> On Wed, Oct 30, 2013 at 11:49 AM, Nio Wiklund <<a href="mailto:nio.wiklund@gmail.com">nio.wiklund@gmail.com</a><br>
</div><div class="im">> <mailto:<a href="mailto:nio.wiklund@gmail.com">nio.wiklund@gmail.com</a>>> wrote:<br>
><br>
> † † "unsupported packages" means unsupported by Canonical.<br>
><br>
> † † These packages are/were supported by some other person, organisation or<br>
> † † company, and there might be packages where the development/support is<br>
> † † discontinued. Canonical does not promise anything about the support.<br>
><br>
> † † Best regards<br>
> † † Nio<br>
><br>
><br>
> Hello Nio,<br>
><br>
> Is there any official Document/Wiki/Link that refer to the same<br>
> explanation above?<br>
<br>
</div><a href="https://help.ubuntu.com/community/ServerFaq#What_packages_and_repositories_are_maintained_.28supported.29.3F" target="_blank">https://help.ubuntu.com/community/ServerFaq#What_packages_and_repositories_are_maintained_.28supported.29.3F</a><br>

<div class="im">><br>
> And, to me, it appears that "status --show-all" is a tricky command that<br>
> can NOT really tell you in an easy/direct way about your system being<br>
> supported or not.<br>
><br>
> This is from Lubuntu 13.04 amd64 (3.8.0-32-generic #47-Ubuntu SMP Tue<br>
> Oct 1 22:35:23 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux) †and it is<br>
> really confusing.<br>
><br>
> You have 1200 packages (84.8%) supported until January 2014 (9m)<br>
> You have 12 packages (0.8%) supported until July 2014 (9m)<br>
><br>
> You have 0 packages (0.0%) that can not/no-longer be downloaded<br>
> You have 203 packages (14.3%) that are unsupported<br>
><br>
> Are you trying to say that, for example in my case, the 203 packages are<br>
> NOT from Canonical and they are not responsible of this? then how would<br>
> someone tell whether his/her system is secure or not?<br>
<br>
</div>For example abiword, gnumeric and VLC are developed and maintained by<br>
others than Canonical. And the Lubuntu specific software is developed<br>
and maintained or cherry-picked by 'our' developers, not Canonical.<br>
<div><div class="h5"><br>
> "Unsupported:<br>
> abiword abiword-common ace-of-penguins alsamixergui audacious<br>
> audacious-plugins audacious-plugins-data blueman cabextract<br>
> chromium-browser chromium-browser-l10n chromium-codecs-ffmpeg-extra<br>
> elementary-icon-theme extlinux ffmpegthumbnailer<br>
> flashplugin-installer galculator gdebi gdebi-core gecko-mediaplayer<br>
> giblib1 gnome-mplayer gnome-paint gnome-system-tools gnome-time-admin<br>
> gnumeric gnumeric-common gpaint gpicview gtk-recordmydesktop<br>
> gtk2-engines-pixbuf guvcview hardinfo indicator-application-gtk2<br>
> leafpad liba52-0.7.4 libabiword-2.9 libass4 libaudclient2 libaudcore1<br>
> libavcodec-extra-53 libavutil-extra-51 libbinio1ldbl libbluray1<br>
> libbs2b0 libcddb2 libcompfaceg1 libcrystalhd3 libcue1 libdca0<br>
> libdirac-encoder0 libdirectfb-1.2-9 libdvbpsi7 libdvdnav4 libdvdread4<br>
> libebml3 libexo-1-0 libexo-common libexo-helpers libfaad2<br>
> libffmpegthumbnailer4 libfluidsynth1 libfm-data libfm-gtk-bin<br>
> libfm-gtk-data libfm-gtk3 libfm3 libgda-5.0-4 libgda-5.0-common<br>
> libgmlib1 libgmtk1 libgmtk1-data libgoffice-0.10-10<br>
> libgoffice-0.10-10-common libguess1 libiso9660-8 libkate1<br>
> libloudmouth1-0 libmad0 libmatroska5 libmenu-cache2 libmms0<br>
> libmodplug1 libmono-addins-gui0.2-cil libmono-addins0.2-cil<br>
> libmowgli2 libmp3lame0 libmpcdec6 libmpeg2-4 libmpg123-0<br>
> libmusicbrainz3-6 libnet-dbus-perl libnspr4-0d libobrender27 libobt0<br>
> libonig2 liboobs-1-5 libopencore-amrnb0 libopencore-amrwb0<br>
> libopenjpeg2 libopus0 libots0 libresid-builder0c2a libsdl-image1.2<br>
> libsidplay2 libssh2-1 libtar0 libts-0.0-0 libtwolame0 libupnp6<br>
> libvcdinfo0 libvlc5 libvlccore5 libvo-aacenc0 libvo-amrwbenc0<br>
> libwebp4 libwv-1.2-4 libx264-123 libxaw3dxft6 libxfce4ui-1-0<br>
> libxfce4util-common libxfce4util6 libxfconf-0-2 libxml-twig-perl<br>
> libxvidcore4 libzvbi-common libzvbi0 lightdm-gtk-greeter<br>
> lubuntu-artwork lubuntu-artwork-13-04 lubuntu-core<br>
> lubuntu-default-session lubuntu-default-settings lubuntu-desktop<br>
> lubuntu-icon-theme lubuntu-lxpanel-icons lubuntu-restricted-addons<br>
> lubuntu-restricted-extras lubuntu-software-center lxappearance<br>
> lxappearance-obconf lxinput lxkeymap lxlauncher lxmenu-data lxpanel<br>
> lxpanel-indicator-applet-plugin lxrandr lxsession lxsession-data<br>
> lxsession-edit lxshortcut lxtask lxterminal mplayer2 mtpaint mypaint<br>
> mypaint-data obconf openbox p7zip-full pcmanfm pidgin-microblog pinta<br>
> plymouth-theme-lubuntu-logo plymouth-theme-lubuntu-text<br>
> python-pysqlite2 python-support python-xklavier recordmydesktop scrot<br>
> skype skype-bin:i386 sylpheed sylpheed-doc sylpheed-i18n<br>
> sylpheed-plugins synaptic syslinux-themes-debian<br>
> syslinux-themes-debian-wheezy system-tools-backends transmission<br>
> tsconf ttf-mscorefonts-installer unetbootin unetbootin-translations<br>
> unrar vlc vlc-data vlc-nox vlc-plugin-notify vlc-plugin-pulse xfburn<br>
> xfce-keyboard-shortcuts xfce4-notifyd xfce4-power-manager<br>
> xfce4-power-manager-data xfconf xpad xpaint xscreensaver<br>
> xscreensaver-data zsync"<br>
><br>
> If you have a look at these, you will come to know most if not all are<br>
> shipped by default with Lubuntu. While 13.04 has not yet reached its<br>
> EOL, how can we really tell whether our system is secure or not?<br>
><br>
> There must be another way to confirm unless someone has a good and<br>
> logical explanation of what is going on!<br>
<br>
</div></div>"Don't use it after the EOL ..."<br>
<div class="im"><br>
> --<br>
> Remember: "All of us are smarter than any one of us."<br>
> Best Regards,<br>
</div>> amjjawad <<a href="https://wiki.ubuntu.com/amjjawad" target="_blank">https://wiki.ubuntu.com/amjjawad</a>><br>
> Areas of Involvement <<a href="https://wiki.ubuntu.com/amjjawad/AreasOfInvolvement" target="_blank">https://wiki.ubuntu.com/amjjawad/AreasOfInvolvement</a>><br>
> My Projects <<a href="https://wiki.ubuntu.com/amjjawad/Projects" target="_blank">https://wiki.ubuntu.com/amjjawad/Projects</a>><br>
<div class=""><div class="h5"><br>
<br>
--<br>
Lubuntu-users mailing list<br>
<a href="mailto:Lubuntu-users@lists.ubuntu.com">Lubuntu-users@lists.ubuntu.com</a><br>
Modify settings or unsubscribe at: <a href="https://lists.ubuntu.com/mailman/listinfo/lubuntu-users" target="_blank">https://lists.ubuntu.com/mailman/listinfo/lubuntu-users</a><br>
</div></div></blockquote></div><br><br clear="all"><div><br></div>Our friend vasa1 added some more useful info at:
</div><div class="gmail_extra"><a href="http://askubuntu.com/questions/368329/unsupported-software">http://askubuntu.com/questions/368329/unsupported-software</a><br></div><div class="gmail_extra"><br></div><div class="gmail_extra">
"</div><div class="gmail_extra"><p style="margin:0px 0px 1em;padding:0px;border:0px;font-size:14px;vertical-align:baseline;clear:both;color:rgb(51,51,51);font-family:UbuntuRegular,Ubuntu,'Bitstream Vera Sans','DejaVu Sans',Tahoma,sans-serif;line-height:18px">
>From a non-comprehensive use of†<code style="margin:0px;padding:1px 5px;border:0px;vertical-align:baseline;background-color:rgb(238,238,238);font-family:'Ubuntu Mono','Ubuntu Beta Mono A',Consolas,'Bitstream Vera Sans Mono','Courier New',Courier,monospace;color:rgb(34,34,34)">apt-cache show package_name</code>, it appears that supported packages, found with†<code style="margin:0px;padding:1px 5px;border:0px;vertical-align:baseline;background-color:rgb(238,238,238);font-family:'Ubuntu Mono','Ubuntu Beta Mono A',Consolas,'Bitstream Vera Sans Mono','Courier New',Courier,monospace;color:rgb(34,34,34)">ubuntu-support-status --show-supported</code>, are in the†<strong style="margin:0px;padding:0px;border:0px;vertical-align:baseline;background-color:transparent">main</strong>†pool.</p>
<p style="margin:0px 0px 1em;padding:0px;border:0px;font-size:14px;vertical-align:baseline;clear:both;color:rgb(51,51,51);font-family:UbuntuRegular,Ubuntu,'Bitstream Vera Sans','DejaVu Sans',Tahoma,sans-serif;line-height:18px">
For example, running†<code style="margin:0px;padding:1px 5px;border:0px;vertical-align:baseline;background-color:rgb(238,238,238);font-family:'Ubuntu Mono','Ubuntu Beta Mono A',Consolas,'Bitstream Vera Sans Mono','Courier New',Courier,monospace;color:rgb(34,34,34)">apt-cache show zenity</code>, a supported package has this line:<br>
<code style="margin:0px;padding:1px 5px;border:0px;vertical-align:baseline;background-color:rgb(238,238,238);font-family:'Ubuntu Mono','Ubuntu Beta Mono A',Consolas,'Bitstream Vera Sans Mono','Courier New',Courier,monospace;color:rgb(34,34,34)">Filename: pool/</code><strong style="margin:0px;padding:0px;border:0px;vertical-align:baseline;background-color:transparent"><code style="margin:0px;padding:1px 5px;border:0px;vertical-align:baseline;background-color:rgb(238,238,238);font-family:'Ubuntu Mono','Ubuntu Beta Mono A',Consolas,'Bitstream Vera Sans Mono','Courier New',Courier,monospace;color:rgb(34,34,34)">main</code></strong><code style="margin:0px;padding:1px 5px;border:0px;vertical-align:baseline;background-color:rgb(238,238,238);font-family:'Ubuntu Mono','Ubuntu Beta Mono A',Consolas,'Bitstream Vera Sans Mono','Courier New',Courier,monospace;color:rgb(34,34,34)">/z/zenity/zenity_3.8.0-1_amd64.deb</code><br>
and:<br><code style="margin:0px;padding:1px 5px;border:0px;vertical-align:baseline;background-color:rgb(238,238,238);font-family:'Ubuntu Mono','Ubuntu Beta Mono A',Consolas,'Bitstream Vera Sans Mono','Courier New',Courier,monospace;color:rgb(34,34,34)">Supported: 9m</code></p>
<p style="margin:0px 0px 1em;padding:0px;border:0px;font-size:14px;vertical-align:baseline;clear:both;color:rgb(51,51,51);font-family:UbuntuRegular,Ubuntu,'Bitstream Vera Sans','DejaVu Sans',Tahoma,sans-serif;line-height:18px">
But, running†<code style="margin:0px;padding:1px 5px;border:0px;vertical-align:baseline;background-color:rgb(238,238,238);font-family:'Ubuntu Mono','Ubuntu Beta Mono A',Consolas,'Bitstream Vera Sans Mono','Courier New',Courier,monospace;color:rgb(34,34,34)">apt-cache show thunar</code>, an unsupported package, has:<br>
<code style="margin:0px;padding:1px 5px;border:0px;vertical-align:baseline;background-color:rgb(238,238,238);font-family:'Ubuntu Mono','Ubuntu Beta Mono A',Consolas,'Bitstream Vera Sans Mono','Courier New',Courier,monospace;color:rgb(34,34,34)">Filename: pool/</code><strong style="margin:0px;padding:0px;border:0px;vertical-align:baseline;background-color:transparent"><code style="margin:0px;padding:1px 5px;border:0px;vertical-align:baseline;background-color:rgb(238,238,238);font-family:'Ubuntu Mono','Ubuntu Beta Mono A',Consolas,'Bitstream Vera Sans Mono','Courier New',Courier,monospace;color:rgb(34,34,34)">universe</code></strong><code style="margin:0px;padding:1px 5px;border:0px;vertical-align:baseline;background-color:rgb(238,238,238);font-family:'Ubuntu Mono','Ubuntu Beta Mono A',Consolas,'Bitstream Vera Sans Mono','Courier New',Courier,monospace;color:rgb(34,34,34)">/t/thunar/thunar_1.6.3-1ubuntu1_amd64.deb</code><br>
and no mention of a support period.</p><p style="margin:0px 0px 1em;padding:0px;border:0px;font-size:14px;vertical-align:baseline;clear:both;color:rgb(51,51,51);font-family:UbuntuRegular,Ubuntu,'Bitstream Vera Sans','DejaVu Sans',Tahoma,sans-serif;line-height:18px">
This, from†<a href="https://help.ubuntu.com/community/Repositories/Ubuntu" rel="nofollow" style="margin:0px;padding:0px;border:0px;vertical-align:baseline;background-color:transparent;text-decoration:none;color:rgb(150,45,12)">What are Repositories?</a>, is relevant:</p>
<blockquote style="margin:0px 0px 10px;padding:10px 10px 1px;border:0px;font-size:14px;vertical-align:baseline;background-color:rgb(244,244,244);quotes:none;color:rgb(51,51,51);font-family:UbuntuRegular,Ubuntu,'Bitstream Vera Sans','DejaVu Sans',Tahoma,sans-serif;line-height:18px">
<p style="margin:0px 0px 1em;padding:0px;border:0px;vertical-align:baseline;background-color:transparent;clear:both">The repository components are:<br>Main - Officially†<strong style="margin:0px;padding:0px;border:0px;vertical-align:baseline;background-color:transparent">supported</strong>†software.<br>
Restricted - Supported software that is not available under a completely free license.<br>Universe - Community maintained software, i.e.†<strong style="margin:0px;padding:0px;border:0px;vertical-align:baseline;background-color:transparent">not officially supported</strong>†software.<br>
Multiverse - Software that is not free. † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † † †"</p><p style="margin:0px 0px 1em;padding:0px;border:0px;vertical-align:baseline;background-color:transparent;clear:both">
<br></p><p style="margin:0px 0px 1em;padding:0px;border:0px;vertical-align:baseline;background-color:transparent;clear:both">Best regards,</p><p style="margin:0px 0px 1em;padding:0px;border:0px;vertical-align:baseline;background-color:transparent;clear:both">
IberÍ</p><p style="margin:0px 0px 1em;padding:0px;border:0px;vertical-align:baseline;background-color:transparent;clear:both"><br></p></blockquote></div></div>